Name: compat-libstdc++
Version: 2.10.0
Release: 2.sx
Group: System Environment/Libraries
License: GPL
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: tar gzip bzip2
Summary: Standard C++ libraries for backwards compatibility.

%description
This package contains compatibility Standard C++ libraries which 
allow older binaries to execute. Install this package if you 
receive error messages like:
 error while loading shared libraries: libstdc++-libc6.1-2.so.3:
 cannot open shared object file

%prep

%build

%clean
rm -fr $RPM_BUILD_ROOT

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/s390
tar -xjC $RPM_BUILD_ROOT/usr/lib/s390 -f %{SOURCE0}

%post
echo "/usr/lib/s390/usr/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/s390/usr/lib/*


%changelog
* Tue Mar 12 2002 Phil Knirsch <pknirsch@redhat.com>
- Updated package for s390x.

* Fri Jul 27 2001 David Sainty <dsainty@redhat.com>
- initial package
